Skip to main content
GET
/
themes
List all themes
curl --request GET \
  --url https://registry.wp-content.io/themes \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://registry.wp-content.io/themes"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://registry.wp-content.io/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "info": {
    "page": 1,
    "pages": 1,
    "results": 1
  },
  "themes": [
    {
      "name": "My Theme",
      "slug": "my-theme",
      "version": "1.0.0",
      "preview_url": "",
      "author": {
        "user_nicename": "acme",
        "profile": "",
        "avatar": "",
        "display_name": "ACME",
        "author": "ACME",
        "author_url": "https://example.com"
      },
      "tags": [],
      "screenshot_url": "https://placehold.co/1200x900",
      "rating": 0,
      "num_ratings": 0,
      "downloaded": 0,
      "homepage": "",
      "description": "",
      "requires": null,
      "requires_php": null,
      "download_link": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.0-86869156b3b9fbffd6e69fa6cf49452a.zip",
      "last_updated": "2025-06-11",
      "last_updated_time": "2025-06-11 11:39:21",
      "creation_time": "2025-06-11 11:39:18",
      "is_commercial": false,
      "external_support_url": false,
      "is_community": false,
      "external_repository_url": ""
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

paged
integer

Page queried

per_page
integer

Number of results per page

Response

200 - application/json

OK

The response is of type object.